### Method

# GObject Value transform

#### Declaration

    gboolean
    g_value_transform (
      const GValue* src_value,
      GValue* dest_value
    )

#### Description

Tries to cast the contents of `src_value` into a type appropriate to store in `dest_value`, e.g. to transform a `G_TYPE_INT` value into a `G_TYPE_FLOAT` value. Performing transformations between value types might incur precision lossage. Especially transformations into strings might reveal seemingly arbitrary results and shouldn’t be relied upon for production code (such as rcfile value or object property serialization).

#### Parameters

`dest_value`

  Type: `GValue`

  Target value.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether a transformation rule was found and could be applied. Upon failing transformations, `dest_value` is left untouched.